<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@0004=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@0018=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Don't enable this cheat during the loading of the game from cassette tape to prevent any problems</comment>
    <script state="on">
      <action>temp0 =maincpu.pw@0ACC</action>
      <action>temp1 =maincpu.pb@0C0C</action>
    </script>
    <script state="run">
      <action>maincpu.pw@0ACC=58EA</action>
      <action>maincpu.pb@0C0C=60</action> <!-- 1st = Fire (nop/sec), 2nd = Enemy (rst) -->
    </script>
    <script state="off">
      <action>maincpu.pw@0ACC=temp0 </action>
      <action>maincpu.pb@0C0C=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Always Have Power Up">
    <script state="run">
      <action>maincpu.pb@0017=5B</action>
      <action>maincpu.pb@0046=09</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@0029=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
